

#define STDFILEFLAGS 0x0
#define STDFILETYPE  0x0
#define STDFILEFINDERINFO "TEXTttxt\x1\x0\x0\x34\x0\x74\x0\x0"
#define STDFILEFINDERINFO2 "\x0\x0\x0\x0\x0\x0\x0\x0\x0\x0\x0\x0\x0\x0\x0\x0"
#define STDFILERESERVED 0x0
#define STDDIRFINDERINFO "\x0\x2e\x0\x8\x0\xea\x1\x9c\x01\x0\x0\x0\x0\x74\x1\x0"
#define STDDIRFINDERINFO2 "\xff\xfb\xff\xdf\x0\x0\x0\x0\x0\x0\x80\x0\x0\x0\x0\x0"
#define STDDIRRESERVE "\x0\x0\x0\x0\x0\x0\x0\x0\x0\x0\x0\x0\x0\x0\x0\x0"
#define STDDIRFLAGS 0x0

#define ICONXPELS 50
#define ICONYPELS 50
#define ICONSHOR  7
#define EXTRAICONROWS 5


#define CRNALLOCUNITS 100


int validfolderid(MOUNT_RECORD *mr, LONGWORD dirid);
/* determines if dirid is a valid folder on the mounted volume mr
*/

int reducefn(char *fn);
/* reduce fn[MAXFNLENGTH] by one - "abc\000...\000" -> "abb\xff..\xff"
*/

int filliconpos(LONGWORD id, WORD dirvalence, BYTE *finder);

int macresolvepathname(MOUNT_RECORD *mr,
		       char *pathname,
		       CATALOG_RECORD *cr,
		       LONGWORD *pid,
		       char *name);

/* Follows pathname to last element, placing that element's cat rec
   in *cr.  Note that this currently also supports relative pathnames - 
   the starting folder id is taken to be cr->U.cdrDirRec.dirDirID.
   *pid is the parent ID of the last path element.  name is the last
   path element.  
*/ 

int macresolvepnwithnonexistinglastelement(MOUNT_RECORD *mr,
					   char *absolutepathname,
					   LONGWORD *parpid,
					   char *parname,
					   CATALOG_RECORD *parcr,
					   char *name);

/* Given something like :myfolder:myotherfolder:mywhatever, this returns
   the parent id and catalog record of myotherfolder and the name mywhatever.
*/

int ismoveparentintochild(MOUNT_RECORD *mr,
			  LONGWORD oldpid,
			  LONGWORD newpid);
/* 
   Returns nonzero on error and MOVEPARENTINTOCHILD if that's what you're
   trying to do.
*/














