

typedef struct ed {
  WORD start, length;
} ED;


int readallocblock(MOUNT_RECORD *mr,
		   LONGWORD blocknum,
		   BYTE *buf);

int writeallocblock(MOUNT_RECORD *mr,
		    LONGWORD blocknum,
		    BYTE *buf);


int macreadblocks(MOUNT_RECORD *mr,
		  CATALOG_RECORD *cr,
		  LONGWORD start,
		  LONGWORD numblocks,
		  BYTE *buf,
		  LONGWORD *blocksactuallyread);
/* Tries to read numblocks starting at start from file in catalog rec
   on volume mr.  It returns nonzero on error.
*/

int macreadblocks_with_list(MOUNT_RECORD *mr,
			    CATALOG_RECORD *cr,
			    LONGWORD numblocks,
			    BYTE *buf,
			    ED *edlist,
			    int numeds,
			    LONGWORD *blocksactuallyread);

int macwriteblocks(MOUNT_RECORD *mr,
		   CATALOG_RECORD *cr,
		   LONGWORD start,
		   LONGWORD numblocks,
		   BYTE *buf,
		   LONGWORD *blocksactuallywritten);
/* see macreadblocks */

int macwriteblocks_with_list(MOUNT_RECORD *mr,
			     CATALOG_RECORD *cr,
			     LONGWORD numblocks,
			     BYTE *buf,
			     ED *edlist,
			     int numeds,
			     LONGWORD *blocksactuallywritten);

int generateedlist(MOUNT_RECORD *mr,
		   CATALOG_RECORD *cr,
		   LONGWORD sb,
		   LONGWORD sl,
		   ED **edlist);
/* This generates the list of extent desriptors needed to handle the
   sb(sl) request.  These eds are relative to the disk, not the file 
*/



			    









